Subject: ssh with pine 3.95

From: Manoj Kasichainula <[email-masked]>
Date: Sun, 4 Aug 1996 19:39:03 -0400

I've been trying to set up pine and my IMAP server so that I can get read
mail securely using ssh. Here's what I've done

1. Removed rsh, and crearted a symlink: rsh -> ssh
2. Copied ~/.ssh/identity.pub to ~/.ssh/authorized_keys (I'm only trying
this locally until I can get it working.
3. ln -s /usr/sbin/imapd /etc/rimapd

When I start pine, it gets a successful connection (according to my
syslog). But for some reason pine closes the connection (the pine-debug
files don't even give an indication that an rsh connection was attempted) 
and goes through normal password authentication. Here is the relevant
output from sshd -d: 

debug: Received session key; encryption turned on.
debug: Attempting authentication for manojk.
debug: Trying rhosts with RSA host authentication for manojk
debug: RhostsRSA authentication failed for 'manojk', remote 'manojk', host
'chutney.ini.cmu.edu'.
log: RSA authentication for manojk accepted.
debug: Received request for X11 forwarding with auth spoofing.
debug: Allocated channel 0.

debug: Executing command 'exec /etc/rimapd'
debug: Entering interactive session.
debug: EOF received for stdin.
debug: Received SIGCHLD.
debug: End of interactive session; stdin 0, stdout (read 97, sent 97),
stderr 379 bytes.
debug: Command exited with status 1.
debug: Received exit confirmation.

Here is the initial output from 

rsh localhost exec /etc/rimapd:
 
* PREAUTH chutney.ini.cmu.edu IMAP2bis Service 7.8(100) at Sun, 4 Aug 1996
19:25:41 -0400 (EDT)

Any ideas on how to fix this? Thanks for your help. Please e-mail your
responses, since our news feed is slooow.

_________________________________________________________________________
Manoj Kasichainula - [email-masked] | "Violence is the first refuge
http://dosa.ini.cmu.edu/~manojk/           |  of the violent."
Finger for PGP public key & Geek Code      |     - Aaron Allston